| Flutter Linux Embedder |

Public Attributes | List of all members
_FlKeyboardManager Struct Reference

## Public Attributes
GObject | parent_instance
GWeakRef | engine
GWeakRef | view_delegate
FlKeyboardManagerSendKeyEventHandler | send_key_event_handler
gpointer | send_key_event_handler_user_data
FlKeyboardManagerLookupKeyHandler | lookup_key_handler
gpointer | lookup_key_handler_user_data
FlKeyboardManagerRedispatchEventHandler | redispatch_handler
gpointer | redispatch_handler_user_data
FlKeyboardManagerGetPressedStateHandler | get_pressed_state_handler
gpointer | get_pressed_state_handler_user_data
FlKeyEmbedderResponder * | key_embedder_responder
FlKeyChannelResponder * | key_channel_responder
GPtrArray * | pending_responds
GPtrArray * | pending_redispatches
FlKeyboardLayout * | derived_layout
std::unique_ptr< std::map< uint16_t, const LayoutGoal * > > | keycode_to_goals
std::unique_ptr< std::map< uint64_t, const LayoutGoal * > > | logical_to_mandatory_goals
GdkKeymap * | keymap
gulong | keymap_keys_changed_cb_id
GCancellable * | cancellable

## Detailed Description

Definition at line 115 of file fl_keyboard_manager.cc.

## Member Data Documentation

## ◆ cancellable

GCancellable* _FlKeyboardManager::cancellable

Definition at line 172 of file fl_keyboard_manager.cc.

## ◆ derived_layout

FlKeyboardLayout* _FlKeyboardManager::derived_layout

Definition at line 155 of file fl_keyboard_manager.cc.

## ◆ engine

GWeakRef _FlKeyboardManager::engine

Definition at line 118 of file fl_keyboard_manager.cc.

## ◆ get_pressed_state_handler

FlKeyboardManagerGetPressedStateHandler _FlKeyboardManager::get_pressed_state_handler

Definition at line 131 of file fl_keyboard_manager.cc.

## ◆ get_pressed_state_handler_user_data

gpointer _FlKeyboardManager::get_pressed_state_handler_user_data

Definition at line 132 of file fl_keyboard_manager.cc.

## ◆ key_channel_responder

FlKeyChannelResponder* _FlKeyboardManager::key_channel_responder

Definition at line 136 of file fl_keyboard_manager.cc.

## ◆ key_embedder_responder

FlKeyEmbedderResponder* _FlKeyboardManager::key_embedder_responder

Definition at line 134 of file fl_keyboard_manager.cc.

## ◆ keycode_to_goals

std::unique_ptr<std::map<uint16_t, const LayoutGoal*> > _FlKeyboardManager::keycode_to_goals

Definition at line 160 of file fl_keyboard_manager.cc.

## ◆ keymap

GdkKeymap* _FlKeyboardManager::keymap

Definition at line 168 of file fl_keyboard_manager.cc.

## ◆ keymap_keys_changed_cb_id

gulong _FlKeyboardManager::keymap_keys_changed_cb_id

Definition at line 169 of file fl_keyboard_manager.cc.

## ◆ logical_to_mandatory_goals

std::unique_ptr<std::map<uint64_t, const LayoutGoal*> > _FlKeyboardManager::logical_to_mandatory_goals

Definition at line 166 of file fl_keyboard_manager.cc.

## ◆ lookup_key_handler

FlKeyboardManagerLookupKeyHandler _FlKeyboardManager::lookup_key_handler

Definition at line 125 of file fl_keyboard_manager.cc.

## ◆ lookup_key_handler_user_data

gpointer _FlKeyboardManager::lookup_key_handler_user_data

Definition at line 126 of file fl_keyboard_manager.cc.

## ◆ parent_instance

GObject _FlKeyboardManager::parent_instance

Definition at line 116 of file fl_keyboard_manager.cc.

## ◆ pending_redispatches

GPtrArray* _FlKeyboardManager::pending_redispatches

Definition at line 148 of file fl_keyboard_manager.cc.

## ◆ pending_responds

GPtrArray* _FlKeyboardManager::pending_responds

Definition at line 143 of file fl_keyboard_manager.cc.

## ◆ redispatch_handler

FlKeyboardManagerRedispatchEventHandler _FlKeyboardManager::redispatch_handler

Definition at line 128 of file fl_keyboard_manager.cc.

## ◆ redispatch_handler_user_data

gpointer _FlKeyboardManager::redispatch_handler_user_data

Definition at line 129 of file fl_keyboard_manager.cc.

## ◆ send_key_event_handler

FlKeyboardManagerSendKeyEventHandler _FlKeyboardManager::send_key_event_handler

Definition at line 122 of file fl_keyboard_manager.cc.

## ◆ send_key_event_handler_user_data

gpointer _FlKeyboardManager::send_key_event_handler_user_data

Definition at line 123 of file fl_keyboard_manager.cc.

## ◆ view_delegate

GWeakRef _FlKeyboardManager::view_delegate

Definition at line 120 of file fl_keyboard_manager.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_keyboard_manager.cc